summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2017-05-02 19:25:25 +0200
committerManuel Rüger <mrueg@gentoo.org>2017-05-02 19:25:25 +0200
commit131489b29c3b4d3736817bb35827386d16fe2611 (patch)
tree97b5dbb4c7f33c1a6f6e506cbb0efa96d1f5a71b /dev-python/pyjwt
parentdev-python/astroid: Version bump to 1.5.2 (diff)
downloadgentoo-131489b29c3b4d3736817bb35827386d16fe2611.tar.gz
gentoo-131489b29c3b4d3736817bb35827386d16fe2611.tar.bz2
gentoo-131489b29c3b4d3736817bb35827386d16fe2611.zip
dev-python/pyjwt: Version bump to 1.5.0
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Diffstat (limited to 'dev-python/pyjwt')
-rw-r--r--dev-python/pyjwt/Manifest1
-rw-r--r--dev-python/pyjwt/pyjwt-1.5.0.ebuild50
2 files changed, 51 insertions, 0 deletions
diff --git a/dev-python/pyjwt/Manifest b/dev-python/pyjwt/Manifest
index 8188866d897..58435ec00c1 100644
--- a/dev-python/pyjwt/Manifest
+++ b/dev-python/pyjwt/Manifest
@@ -1,2 +1,3 @@
DIST PyJWT-1.4.0.tar.gz 34613 SHA256 e1b2386cfad541445b1d43e480b02ca37ec57259fd1a23e79415b57ba5d8a694 SHA512 1664864c0566dbeb1e35c977d30e746c844605e1ce90becda8771c4ff8a8dbad911075f5a41f445d405552b2d61bbb1e86011564027f68c6c4fcd332cf704ff1 WHIRLPOOL 4ebd7291b9a9676559703794acdaf0dd2bd1033dd649ef8068bca85fa7ef6ab444e834910fa78b16c15cf324dd4a470d9b40ecdccdb5fdaca7568ab096dc9a8e
+DIST PyJWT-1.5.0.tar.gz 34841 SHA256 fd182b728d13f04c289d9b2623d09256d356c9b4a6778018001454a954d7c54b SHA512 6a811933fc167a5b79a8e0c3cd95154f80e115d50795b4b4593abd95922ff330649b9f6cd8698191c3fb35b27b1b6870702c835eec28306b5349ef8d8d836d04 WHIRLPOOL 1d8a89929ee1e2642fe25054bc15aeaad13eecd283960477f793ad4185b7789c1163f80e6c36597a6593f50cdf9917473c099a706a56423f2d25dee45ab2806a
DIST pyjwt-1.3.0.tar.gz 61828 SHA256 fc230244ec4e4014d6eeae894ac852e820a4c843dc209d4f77e76d564f46ee49 SHA512 2b7ab0702bb71041bb7280e0e51958fb6bfb9b8c70ac99e24c4ce92e6d37d0432f3323634dceb371dd47c6b380687b2df92bb6ae9f4df555e4938a9a2f76e0f3 WHIRLPOOL bc4a0d79d37b60aa018607d715e2dc7e275ade326994df9a4ac7e0e70e37c11c7bec4d70d292bedf6f18be8d7aa09f826b80d14a532fd00c650d417223285daf
diff --git a/dev-python/pyjwt/pyjwt-1.5.0.ebuild b/dev-python/pyjwt/pyjwt-1.5.0.ebuild
new file mode 100644
index 00000000000..9eecc894b59
--- /dev/null
+++ b/dev-python/pyjwt/pyjwt-1.5.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_{4,5}} pypy )
+
+inherit distutils-r1 eutils
+
+MY_PN="PyJWT"
+
+DESCRIPTION="JSON Web Token implementation in Python"
+HOMEPAGE="https://github.com/progrium/pyjwt https://pypi.python.org/pypi/PyJWT/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/pytest-runner[${PYTHON_USEDEP}]
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-cov[${PYTHON_USEDEP}]
+ )"
+
+S="${WORKDIR}"/${MY_PN}-${PV}
+
+python_prepare_all() {
+ find . -name '__pycache__' -prune -exec rm -rf {} \; || die "Cleaning __pycache__ failed"
+ find . -name '*.pyc' -exec rm -f {} \; || die "Cleaing *.pyc failed"
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ esetup.py test
+}
+
+pkg_postinst() {
+ elog "Available optional features:"
+ optfeature "cryptography" dev-python/cryptography
+ optfeature "flake8" dev-python/flake8
+
+ ewarn "flake8 feature requires 'flake8-import-order' and 'pep8-naming', which are not in portage yet"
+}